/*  ==========================================================================
    Module: TAB
    ========================================================================== */

    .tabs
    {
        position: relative;

        width: 100%;
        margin: 0 auto;
        margin-bottom: $tab-line-margin-bottom;
        overflow: hidden;

        text-align: $tab-line-text-align;
    }


    .tabs__list
    {
        position: relative;

        display: -ms-flexbox;
        display: -webkit-flex;
        display: -moz-flex;
        display: -ms-flex;
        display: flex;
        margin: 0 auto;
        padding: 0;
        max-width: 1200px;

        list-style: none;

        -ms-box-orient: horizontal;
        -ms-box-pack: center;
        -webkit-flex-flow: row wrap;
        -moz-flex-flow: row wrap;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
        -webkit-justify-content: center;
        -moz-justify-content: center;
        -ms-justify-content: center;
        justify-content: center;

        &:before
        {
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            height: $tab-line-line-height;
            background: $tab-line-line-background;
            content: '';
            -webkit-transition: -webkit-transform 0.3s;
            transition: transform 0.3s;
        }
    }

    .tabs__list-item
    {
        position: relative;
        z-index: 1;

        display: block;
        margin: 0;

        -webkit-flex: 1;
        -moz-flex: 1;
        -ms-flex: 1;
        flex: 1;

        &:last-child::before
        {
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            height: $tab-line-active-line-height;
            background: $tab-line-active-line-background;
            content: '';
            -webkit-transition: -webkit-transform 0.3s;
            transition: transform 0.3s;
        }

        &.tab--active
        {
            .tabs__link
            {
                color: $tab-line-active-color;
                font-weight: $tab-line-active-font-weight;
            }
        }
    }

    .tabs__link
    {
        position: relative;
        display: block;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        line-height: 2.5;

        &:focus
        {
            outline: none;
        }
    }

    /* Move the line */
    .tabs--linemove nav li:first-child.tab--active ~ li:last-child::before {
        -webkit-transform: translate3d(-100%,0,0); /* Original value was -400%. Changed to -100% so it works only with two tabs, but this is not a general solution for variable number of tabs. */
        transform: translate3d(-100%,0,0);
    }

    .tabs--linemove nav li:nth-child(2).tab--active ~ li:last-child::before {
        -webkit-transform: translate3d(-300%,0,0);
        transform: translate3d(-300%,0,0);
    }

    .tabs--linemove nav li:nth-child(3).tab--active ~ li:last-child::before {
        -webkit-transform: translate3d(-200%,0,0);
        transform: translate3d(-200%,0,0);
    }

    .tabs--linemove nav li:nth-child(4).tab--active ~ li:last-child::before {
        -webkit-transform: translate3d(-100%,0,0);
        transform: translate3d(-100%,0,0);
    }

    .tabs--linemove
    {
        .tabs__link
        {
            padding: 1em 0;
            // color: #74777b;
            line-height: 1;
        }
    }